Overview
Developer Tools
Migration Guides
Travel Time Matrix API
Isochrone API
H3 API
Geohash API
Distance Map API
Routes API
Geocoding API
Additional API Reference
Error Handling
ArcGIS plugin
Alteryx plugin
/v4/distance-map

Distance Map
Copy link

Visualise where's reachable within a travel distance catchment area.

Access URL: https://api.traveltimeapp.com/v4/distance-map

Request Body
Copy link

array[object]

Searches based on departure time. Leave departure location at no earlier than given time. You can define a maximum of 10 searches.

Hide child attributes

Used to identify each search in the results array. Must be unique among all searches.

Coordinates of the departure location.

Show child attributes
date in extended ISO-8601 format

Leave departure location at no earlier than given time. In ISO 8601 format. For example:
2026-03-23T11:00:00Z (representing UTC)
2026-03-23T11:00:00-05:00 (representing New York on Standard Time: UTC-05:00)

Maximum journey distance (in meters).
Maximum value is 800000 (800km) as standard. Minimum value is 75 meters. Although travel distance is limited, computations are still performed by considering fastest journeys (minimizing travel time). To discuss increasing this, please contact hello@traveltime.com.

Transportation mode and related parameters. type is a mandatory field, but all other fields are optional and default values are used if not specified.

Show child attributes

Specifies level of detail of returned shape.

Show child attributes

Specifies polygon filter of a single shape.

Show child attributes
boolean | optional

Enable to remove holes from returned polygons.
Note that this will likely result in loss in accuracy.

  • approximate_time_filter (default) - the shape matches time-filter results as much as possible
  • road_buffering - the shape looks as if traversed roads of the search have been painted over with a wide brush

Minimum value is 250 meters. Default value is 1000 meters.

  • when render_mode=approximate_time_filter - controls how far from the reached road network the isochrone generation algorithm may consider locations as reachable.
  • when render_mode=road_buffering - controls how far the final polygon is expanded outward from the reached roads. This behaves like applying a positive geometric offset to the collection of lines derived from the reached road segments.
  • true (default) - returned shape will not cover large nearby water bodies
  • false - returned shape may cover nearby water bodies like large lakes, wide rivers and seas
object | optional

Adjusts the process of looking up the nearest roads from the departure / arrival points.

Show child attributes
array[object]

Searches based on arrival time. Arrive at destination location at no later than given time. You can define a maximum of 10 searches.

Show child attributes
array[object]

Define the unions of shapes that are the results of previously defined departure or arrival searches. You can define a maximum of 10 unions per request.

Hide child attributes
string

Used to identify each search in the results array. Must be unique among all searches.

array[string]

A list of the search ids referring to the shapes to be used for calculating the union.

array[object]

Define the intersections of shapes that are the results of previously defined departure or arrival searches. You can define a maximum of 10 intersections per request.

Hide child attributes

Used to identify each search in the results array. Must be unique among all searches.

A list of the search ids referring to the shapes to be used for calculating the intersection.

Response Body
Copy link

We support multiple response formats, the format can be set using the Accept header. Supported formats:

  • application/json - This is the default if no format was specified.
  • application/vnd.wkt+json
  • application/vnd.wkt-no-holes+json
  • application/geo+json
  • application/vnd.google-earth.kml+xml
  • application/vnd.bounding-boxes+json - This format does not include holes

When output_format is application/json
Copy link

array[object]

The results array which is sorted lexicographically by the id attribute.

Hide child attributes
array[object]
Show child attributes

Properties array. Only the properties included in the request are returned.

When output_format is application/geo+json
Copy link

FeatureCollection
array[Feature]

Contains collection of features.

Hide child attributes
Feature

Contains MultiPolygon.

Show child attributes

Feature properties.

Show child attributes

When output_format is application/vnd.google-earth.kml+xml
Copy link

array[object]

The kml array containing objects of xml namespace and placemark.

Hide child attributes

Contains name and MultiGeometry.

Show child attributes

When output_format is application/vnd.wkt+json or application/vnd.wkt-no-holes+json
Copy link

array[object]

The results array which is sorted lexicographically by the id attribute.

Hide child attributes

A string containing the shape in Well-known text (WKT)

Properties array. Only the properties included in the request are returned.

When output_format is application/vnd.bounding-boxes+json
Copy link

array[object]

The results array which is sorted lexicographically by the id attribute.

Hide child attributes
array[object]
Show child attributes

Properties array. Only the properties included in the request are returned.

Examples
Copy link

Request
Copy link

Loading

Response Body
Copy link

Loading

Request With Unions and Intersections
Copy link

Loading

Response Body
Copy link

Loading
Hide code example

Request

Loading

Response

Loading